<?php if (!defined('GP_VERSION')) exit('No direct script access allowed');
/**
 * GPicasa Admin
 */
class GP_Admin
{
  private $version = NULL;
  public $option_array = array(
	'user_id_1'=>'glorand',
	'user_id_2'=>'',
	'user_id_3'=>'',
	'user_id_4'=>'',
	'user_id_5'=>'',
	'thumbnail_size'=>'94c',
	'full_size' => '640',
        'lightbox'=>'',
        'before_image'=>'',
        'after_image'=>'',
        'picasa_icon'=>'1',
        'add_caption'=>'1',
        'css_class'=>'',
        'style'=>'',
        'before_image'=>'',
        'after_image'=>'',
        'add_gallery_title'=>'1',
        'before_gallery_title'=>'',
        'after_gallery_title'=>'',
        'before_gallery'=>'',
        'after_gallery'=>''
	);
  public static $image_sizes = array(
	 "94" => "94px",
	 "94c" => "94px cropped",
	 "110" => "110px",
	 "110c" => "110px cropped",
	 "128" => "128px",
	 "128c" => "128px cropped",
	 "200" => "200px",
	 "288" => "288px",
	 "320" => "320px",
	 "400" => "400px",
	 "512" => "512px",
	 "576" => "576px",
	 "640" => "640px",
	 "720" => "720px",
	 "800" => "800px"
 );

    public static $libraries = array(
         "" => "None",
         "lightbox" => "Lightbox",
         "prettyPhoto" => "prettyPhoto",
         "shadowbox" => "Shadowbox",
    );
    public static $icon_opts = array(
        '1' => 'Picasa squire icon',
        '2' => 'Picasa squire grayscale icon',
        '3' => 'Picasa round icon',
        '4' => 'Picasa round grayscale icon'
    );

  function __construct() 
  {
    $this->version = GP_VERSION;
	$this->set_data();
  }
  
  function set_data(){
	$active = get_option('gp_active');
	if ($active){
		$db_options = get_option('gp_option');
		foreach ((array)$this->option_array as $key => $val){
			if (isset($db_options[$key])){
				$this->option_array[$key] = $db_options[$key];
			}
		}
	}
  }
  
  function gp_activate(){
	add_option( 'gp_active', 1 );
	add_option( 'gp_option', $this->option_array );
  }
  
  function gp_deactivate(){
	delete_option( 'gp_active' );
	delete_option( 'gp_option' );
  }
  
  function gp_admin_menu(){
	$icon = GP_PLUGIN_URL.'/assets/images/icon/picasa_16.png';
	$settings_page = add_menu_page('GPicasa Plugin Settings', 'GPicasa Settings', 'administrator', __FILE__, array($this,'gp_admin_page'),$icon);
	add_action( "admin_print_styles-$settings_page", array( $this, 'load_admin_js_css' ) );
  }
  
  function gp_admin_page(){
	include( GP_PLUGIN_DIR.'/pages/settings.php' );
  }
  
  function load_admin_js_css() 
  {
    wp_enqueue_style( 'gpicasa-style', GP_PLUGIN_URL.'/assets/css/style.css', false, $this->version, 'screen'); 
    //wp_enqueue_script( 'jquery-option-tree', OT_PLUGIN_URL.'/assets/js/jquery.option.tree.js', array('jquery','media-upload','thickbox','jquery-ui-core','jquery-ui-tabs','jquery-table-dnd','jquery-color-picker'), $this->version );
  }
  
  function update_options($data){
	foreach($this->option_array as $key => $val){
		if (isset($data[$key])){
			$this->option_array[$key] = stripslashes(trim($data[$key]));
		}
	}
	update_option( 'gp_option', $this->option_array );
  }
  
  function gp_media_button($context){
	global $post_ID, $temp_ID;
	$uploading_iframe_ID = (int) (0 == $post_ID ? $temp_ID : $post_ID);
	$media_upload_iframe_src = "media-upload.php?post_id=$uploading_iframe_ID";
	
	$gp_media_iframe_src = apply_filters('gp_media_iframe_src', "$media_upload_iframe_src&amp;type=".md5('gpicasa')."&amp;tab=type");
	$gp_media_title = __('GPicasa', 'gpicasa');
	$icon = GP_PLUGIN_URL.'/assets/images/icon/icon_picasa'.$this->option_array['picasa_icon'].'.gif';
	
	echo "
	<a href='{$gp_media_iframe_src}&amp;TB_iframe=1&amp;height=500&amp;width=800' class='thickbox' title='$gp_media_title'>
	<img src='$icon' alt='$gp_media_title' />
	</a>";
  }
  
  function add_style() {
	global $is_IE;
	wp_enqueue_style('media');
	wp_enqueue_style('gpicasa', GP_PLUGIN_URL.'/assets/css/dialog.css',array(),$this->version,'all');
 }
 
}